package com.example.a3;

import java.io.Serializable;

/*
John William Lynch : CSC 472 : Assignment 3
Stock class that will contain following information:
Stock Symbol (String), Company Name (String), Price (double), Price Change (double), and Change Percentage (double).
 */
public class Stock implements Serializable {

    private String symbol;
    private String companyName;
    private double price;
    private double priceChange;
    private double changePercentage;

    //Because of the two seperate URLS we must attempt to access to get info,
    //We will create two seperate stock constructors so that the later can access the first
    //to create the neccessary URL:
    Stock (String symbol, String companyName){
        this.symbol = symbol;
        this.companyName = companyName;
    }

    Stock (String symbol, String companyName, double price, double priceChange, double changePercentage) {
        this.symbol = symbol;
        this.companyName = companyName;
        this.price = price;
        this.priceChange = priceChange;
        this.changePercentage = changePercentage;
    }

    //All set methods:
    public void setSymbol(String symbol){
        this.symbol = symbol;
    }

    public void setCompanyName(String companyName){
        this.companyName = companyName;
    }

    public void setPrice(double price){
        this.price = price;
    }

    public void setPriceChange(double priceChange){
        this.priceChange = priceChange;
    }

    public void setChangePercentage (double changePercentage){
        this.changePercentage = changePercentage;
    }

    //All get methods:
    public String getSymbol(){
        return symbol;
    }

    public String getCompanyName(){
        return companyName;
    }

    public double getPrice() {
        return price;
    }

    public double getPriceChange() {
        return priceChange;
    }

    public double getChangePercentage() {
        return changePercentage;
    }

    //Add toString() method

}
